Loading...
Searching...
No Matches
etl::message_router_registry< MaxRouters > Class Template Reference

Message router registry. More...

`#include <message_router_registry.h>`

## Public Member Functions

template<typename TIterator>
| message_router_registry (TIterator first, const TIterator &last)
| message_router_registry (const message_router_registry &rhs)
message_router_registry & | operator= (const message_router_registry &rhs)
Public Member Functions inherited from etl::imessage_router_registry
iterator | begin ()
| Get the beginning of the registry.
const_iterator | begin () const
const_iterator | cbegin () const
iterator | end ()
| Get the end of the registry.
const_iterator | end () const
const_iterator | cend () const
etl::imessage_router * | find (etl::message_router_id_t id)
| Get the first router in the registry with the specified ID.
const etl::imessage_router * | find (etl::message_router_id_t id) const
iterator | lower_bound (etl::message_router_id_t id)
| Get the lower bound in the registry with the specified ID.
const_iterator | lower_bound (etl::message_router_id_t id) const
iterator | upper_bound (etl::message_router_id_t id)
| Get the upper bound in the registry with the specified ID.
const_iterator | upper_bound (etl::message_router_id_t id) const
void | add (etl::imessage_router &router)
void | add (etl::imessage_router *p_router)
template<typename TIterator>
void | add (TIterator first, const TIterator &last)
void | remove (etl::message_router_id_t id)
| Unregisters a router.
bool | contains (const etl::message_router_id_t id) const
bool | contains (const etl::imessage_router *const p_router) const
bool | contains (const etl::imessage_router &router) const
size_t | count (const etl::message_router_id_t id) const
| Returns the number of routers with the specified ID.
bool | empty () const
| Returns true if the registry is empty, otherwise false.
bool | full () const
| Returns true if the registry is full, otherwise false.
size_t | size () const
| Returns the size of the registry.
size_t | available () const
| Returns the available size of the registry.
size_t | max_size () const
| Returns the maximum size of the registry.

## Additional Inherited Members

Protected Member Functions inherited from etl::imessage_router_registry
| imessage_router_registry (IRegistry &registry_)

## Detailed Description

template<size_t MaxRouters>
class etl::message_router_registry< MaxRouters >

Message router registry.

## Constructor & Destructor Documentation

## message_router_registry()

template<size_t MaxRouters>
template<typename TIterator>

etl::message_router_registry< MaxRouters >::message_router_registry | ( | TIterator | first,
|  | const TIterator & | last )

inline

Constructor. Constructs from an iterator range.

The documentation for this class was generated from the following file:

- include/etl/message_router_registry.h